## bandwidthd 2.0.1+cvs20090917

=== debian/changelog ===
bandwidthd (2.0.1+cvs20090917-7) unstable; urgency=low

  * Move php5-gd to Recommends and also recommend php5 (Closes: #717042)
  * Improve meta-data in patch header of 44_fixrecovercdf.patch
  * Drop autoheader/autoconf patches as we're using dh-autoreconf
  * Add patch to fix syslog messages for monitored subnet.
    Thanks to John Murphy (Closes: #614942)
  * Let gb-pq import && gbp-pq export rename patches
  * Make bandwidthd-pgsql also recommend php5-pgsql (Closes: #659237)

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 20 Jul 2013 18:19:35 +0200

bandwidthd (2.0.1+cvs20090917-6) unstable; urgency=low

  * This version includes multiple changes (see below)
    to handle the apache 2.4 transition (Closes: #669734)

  * Bump debhelper compatibility to 9
  * Bump standards-version to policy 3.9.3
  * Install/migrate to new apache 2.4 config file location
  * Add conflicts against apache2 (<< 2.4)
  * Suggest apache2, since we ship configuration for it
  * Update apache configuration for new allow-syntax
  * Use apache2-maintscript-helper for reloading apache2
  * Please lintian with formatting copyright as it expects
  * Drop AllowOverride from apache configuration
  * Use dh_prep instead of deprecated dh_clean -k
  * Bump Standards-Version to 3.9.4
  * Add build-arch and build-indep targets to debian/rules
  * Run wrap-and-sort on debian/control
  * Use dh-autoreconf to update build system (Closes: #677940)
  * Drop all alternative libgd-dev build-dependencies
  * Install configuration templates to /usr/share (Closes: #710357)
  * Move bandwidthd-pgsql config and postinst commands around
    - update similar to previous bandwidthd changes

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 14 Jun 2013 00:12:30 +0200

bandwidthd (2.0.1+cvs20090917-5) unstable; urgency=low

  Acknowledge NMU (Closes: #610057)

  [ Andreas Henriksson ]
  * Initial attempt at modernization of the packaging:
    + Switch from dpatch to source format 3.0 (quilt)
    + Drop dpatch build dependency
    + Update patch headers according to patch tagging guidelines (DEP3)
    + Fix patch syntax in d/p/61_php_fix_html_and_input_validation.patch

  [ Logan Gunthorpe ]
  * Add patch to fix recover cdf option (Closes: #660810)

  [ Andreas Henriksson ]
  * Fix the problem of failing configure on clean install (Closes: #588146)
    + Move bandwidthd.conf generation from config to postinst phase
    + Only generate bandwidthd.conf when postinst are in configure mode
  * Drop generated config.{guess,sub} files
  * Reload the apache2 config last in postrm to avoid debconf problems

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 08 Mar 2012 16:04:46 +0100

bandwidthd (2.0.1+cvs20090917-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix encoding for Danish debconf translation

 -- Christian Perrier <bubulle@debian.org>  Tue, 11 Jan 2011 20:14:02 +0100

bandwidthd (2.0.1+cvs20090917-4) unstable; urgency=low

  * Officially acknowledge NMU (which was pre-acked by personal email)
  * debian/patches/43_cdfsyntax.dpatch, debian/patches/00list
    + Include patch to fix CDF output contributed by Harald Hvaal.
  * debian/po/es.po (Closes: #580482)
    + Add spanish translation by Francisco Javier Cuadrado.
  * debian/po/vi.po (Closes: #581530)
    + Add vietnamese translation by Clytie Siddall.
  * Don't uselessly source debconf in debian/bandwidthd.postinst.
  * Stop debconf in debian/bandwidthd.config

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 31 May 2010 19:58:23 +0200

bandwidthd (2.0.1+cvs20090917-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Explicitly point to GPL-2 document in debian/copyright
  * Explicitly use 1.0 source format
  * Fix spelling in README.Debian ("childs"->"children")
  * Add $remote_fs to Required-Start and Required-Stop in init script
  * Fix pending l10n issues. Debconf translations:
    - Japanese (Hideki Yamane (Debian-JP)).  Closes: #555547
    - Danish (Joe Hansen).  Closes: #580122

 -- Christian Perrier <bubulle@debian.org>  Thu, 06 May 2010 08:55:57 +0200

bandwidthd (2.0.1+cvs20090917-3) unstable; urgency=low

  * Oops, move debian/ru.po to debian/po/ru.po (Closes: #543192)

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 22 Sep 2009 07:25:50 +0200

bandwidthd (2.0.1+cvs20090917-2) unstable; urgency=low

  * Call ucf with --debconf-ok during package config.
  * Add debian/patches/42_graphmailheader.dpatch:
    - Upstream added mail traffic tracking but forgot to add the table
      header to the generated static html header.
  * Reload apache2 after package installation and reload after package purge,
    ignoring errors to make (potentially) installed apache2 pick up the
    /bandwidthd/ alias.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 17 Sep 2009 15:46:54 +0200

bandwidthd (2.0.1+cvs20090917-1) unstable; urgency=low

  * New upstream CVS snapshot.
    - Update debian/patches/21_fixversion.dpatch to reflect new version.
  * Add Russion debconf translation, thanks Yuri Kozlov! (Closes: #543192)
  * Add Apache2 config file for /bandwidthd alias. (Closes: #536912)
  * Drop dpatch script debian/patches/01_config.dpatch and copy/remove
    config.{guess,sub} in debian/rules.
  * Update debian/patches/61_php_fix_html_and_input_validation.dpatch to apply.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 17 Sep 2009 09:34:01 +0200

bandwidthd (2.0.1+cvs20071208-3) unstable; urgency=low

  * Fix variable order in bandwidthd init script.
    Thanks to "Lampa" for noticing.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 03 May 2008 23:27:01 +0200

bandwidthd (2.0.1+cvs20071208-2) unstable; urgency=low

  * Update debian/patches/71_sh_bd_purge_add_shebang.dpatch to fix bashism
    found in the bd_pgsql_purge script. (Closes: #471290)

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 17 Mar 2008 10:26:42 +0100

bandwidthd (2.0.1+cvs20071208-1) unstable; urgency=low

  * Update to newer cvs checkout.
  * Add dpatch support.

